package Plugins::SmartMix::ProtocolHandler;

use strict;

use Plugins::SmartMix::Plugin;

sub overridePlayback {
	my ( $class, $client, $url ) = @_;

	if ($url !~ m|^smartmix:/{0,2}(.*)$|) {
		return undef;
	}

	$client->execute(["smartmix", "$1"]);

	return 1;
}

sub canDirectStream { 0 }

sub contentType {
	return 'smrt';
}

sub isRemote { 0 }

sub getIcon {
	return Plugins::SmartMix::Plugin->_pluginDataFor('icon');
}

1;
